Package com.omnisci.thrift.server

## Class OmniSci.Processor.get_completion_hints<I extends OmniSci.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,​OmniSci.get_completion_hints_args>
  - - com.omnisci.thrift.server.OmniSci.Processor.get_completion_hints<I>

Enclosing class:
  OmniSci.Processor<I extends OmniSci.Iface>

    public static class OmniSci.Processor.get_completion_hints<I extends OmniSci.Iface>
    extends org.apache.thrift.ProcessFunction<I,​OmniSci.get_completion_hints_args>

### Constructor Summary

Constructors
`get_completion_hints()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OmniSci.get_completion_hints_args` `getEmptyArgsInstance()`
`OmniSci.get_completion_hints_result` `getResult​(I iface, OmniSci.get_completion_hints_args args)`
`protected boolean` `isOneway()`
`protected boolean` `rethrowUnhandledExceptions()`

### Methods inherited from class org.apache.thrift.ProcessFunction

`getMethodName, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### get_completion_hints

    public get_completion_hints()

### Method Detail

#### getEmptyArgsInstance

    public OmniSci.get_completion_hints_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends OmniSci.Iface,​OmniSci.get_completion_hints_args>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.ProcessFunction<I extends OmniSci.Iface,​OmniSci.get_completion_hints_args>`

#### rethrowUnhandledExceptions

    protected boolean rethrowUnhandledExceptions()

Overrides:
  `rethrowUnhandledExceptions` in class `org.apache.thrift.ProcessFunction<I extends OmniSci.Iface,​OmniSci.get_completion_hints_args>`

#### getResult

    public OmniSci.get_completion_hints_result getResult​(I iface,
                                                         OmniSci.get_completion_hints_args args)
                                                  throws org.apache.thrift.TException

Specified by:
  `getResult` in class `org.apache.thrift.ProcessFunction<I extends OmniSci.Iface,​OmniSci.get_completion_hints_args>`
Throws:
  `org.apache.thrift.TException`